Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## LumiSoft.UI.Controls.WGrid
Class Column

    java.lang.Object
      LumiSoft.UI.Controls.WGrid.Column

    public class Column

extends java.lang.Object

Grid column.

Method Summary
`java.awt.Rectangle` | `getBounds()` Gets column bounding rectangle.
`int` | `getCellsTextAlign()` Gets column cells text horizontal alignment.
`java.lang.String` | `getCellTextFormat()` Gets column cells text display format.
`java.lang.String` | `getColumnName()` Gets column name.
`boolean` | `getEditable()` Gets if column is editable.
`WBaseEditor` | `getEditor()` Gets column editor.
`java.awt.Font` | `getFont()` Gets column caption text font.
`java.lang.String` | `getFootherText()` Gets column foother text.
`int` | `getFootherTextAlign()` Gets column column foother text horiontal alignment.
`int` | `getFootherType()` Gets column column foother type.
`int` | `getIndex()` Gets physical column index.
`java.lang.String` | `getMappingName()` Gets datasource DataTable mapping column.
`boolean` | `getResizeable()` Gets if column can be resized.
`boolean` | `getSortable()` Gets if column can be sorted.
`java.lang.Object` | `getTag()` Gets column tag.
`java.lang.String` | `getText()` Gets column caption.
`int` | `getTextAlign()` Gets column text horiontal alignment.
`java.lang.String` | `getTextID()` Gets column text ID.
`int` | `getWidth()` Gets column width.
`boolean` | `getVisible()` Gets if column is visible.
`void` | `setCellsTextAlign(int value)` Sets column cells text horizontal alignment.
`void` | `setCellTextFormat(java.lang.String value)` Sets column cells text display format.
`void` | `setEditable(boolean value)` Sets if column is editable.
`void` | `setEditor(WBaseEditor value)` Sets column editor.
`void` | `setFont(java.awt.Font value)` Sets column caption text font.
`void` | `setFootherText(java.lang.String value)` Sets column foother text.
`void` | `setFootherTextAlign(int value)` Sets column column foother text horiontal alignment.
`void` | `setFootherType(int value)` Sets column column foother type.
`void` | `setIndex(int value)` Sets physical column index.
`void` | `setMappingName(java.lang.String value)` Sets datasource DataTable mapping column.
`void` | `setResizeable(boolean value)` Sets if column can be resized.
`void` | `setSortable(boolean value)` Sets if column can be sorted.
`void` | `setTag(java.lang.Object value)` Sets colum tag.
`void` | `setText(java.lang.String value)` Sets column caption.
`void` | `setTextAlign(int value)` Sets column text horiontal alignment.
`void` | `setTextID(java.lang.String value)` Sets column text ID.
`void` | `setWidth(int value)` Sets column width.
`void` | `setVisible(boolean value)` Sets if column is visible.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getColumnName

    public java.lang.String getColumnName()

  Gets column name.

  Returns:

### getText

    public java.lang.String getText()

  Gets column caption.

  Returns:

### setText

    public void setText(java.lang.String value)

  Sets column caption.

  Parameters:
    `value` -

### getTextID

    public java.lang.String getTextID()

  Gets column text ID.

  Returns:

### setTextID

    public void setTextID(java.lang.String value)

  Sets column text ID.

  Parameters:
    `value` -

### getTextAlign

    public int getTextAlign()

  Gets column text horiontal alignment.

  Returns:

### setTextAlign

    public void setTextAlign(int value)

  Sets column text horiontal alignment.

  Parameters:
    `value` -

### getCellsTextAlign

    public int getCellsTextAlign()

  Gets column cells text horizontal alignment.

  Returns:

### setCellsTextAlign

    public void setCellsTextAlign(int value)

  Sets column cells text horizontal alignment.

  Parameters:
    `value` -

### getCellTextFormat

    public java.lang.String getCellTextFormat()

  Gets column cells text display format.

  Returns:

### setCellTextFormat

    public void setCellTextFormat(java.lang.String value)

  Sets column cells text display format.

  Parameters:
    `value` -

### getMappingName

    public java.lang.String getMappingName()

  Gets datasource DataTable mapping column.

  Returns:

### setMappingName

    public void setMappingName(java.lang.String value)

  Sets datasource DataTable mapping column.

  Parameters:
    `value` -

### getFont

    public java.awt.Font getFont()

  Gets column caption text font.

  Returns:

### setFont

    public void setFont(java.awt.Font value)

  Sets column caption text font.

  Parameters:
    `value` -

### getVisible

    public boolean getVisible()

  Gets if column is visible.

  Returns:

### setVisible

    public void setVisible(boolean value)

  Sets if column is visible.

  Parameters:
    `value` -

### getEditable

    public boolean getEditable()

  Gets if column is editable.

  Returns:

### setEditable

    public void setEditable(boolean value)

  Sets if column is editable.

  Parameters:
    `value` -

### getSortable

    public boolean getSortable()

  Gets if column can be sorted.

  Returns:

### setSortable

    public void setSortable(boolean value)

  Sets if column can be sorted.

  Parameters:
    `value` -

### getResizeable

    public boolean getResizeable()

  Gets if column can be resized.

  Returns:

### setResizeable

    public void setResizeable(boolean value)

  Sets if column can be resized.

  Parameters:
    `value` -

### getWidth

    public int getWidth()

  Gets column width.

  Returns:

### setWidth

    public void setWidth(int value)

  Sets column width.

  Parameters:
    `value` -

### getTag

    public java.lang.Object getTag()

  Gets column tag.

  Returns:

### setTag

    public void setTag(java.lang.Object value)

  Sets colum tag.

  Parameters:
    `value` -

### getBounds

    public java.awt.Rectangle getBounds()

  Gets column bounding rectangle.

  Returns:

### getFootherText

    public java.lang.String getFootherText()

  Gets column foother text.

  Returns:

### setFootherText

    public void setFootherText(java.lang.String value)

  Sets column foother text.

  Parameters:
    `value` -

### getFootherTextAlign

    public int getFootherTextAlign()

  Gets column column foother text horiontal alignment.

  Returns:

### setFootherTextAlign

    public void setFootherTextAlign(int value)

  Sets column column foother text horiontal alignment.

  Parameters:
    `value` -

### getFootherType

    public int getFootherType()

  Gets column column foother type.

  Returns:

### setFootherType

    public void setFootherType(int value)

  Sets column column foother type.

  Parameters:
    `value` -

### getEditor

    public WBaseEditor getEditor()

  Gets column editor.

  Returns:

### setEditor

    public void setEditor(WBaseEditor value)

  Sets column editor.

  Parameters:
    `value` -

### getIndex

    public int getIndex()

  Gets physical column index. Invisible columns are included.

  Returns:

### setIndex

    public void setIndex(int value)

  Sets physical column index. Invisible columns are included.

  Parameters:
    `value` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD